import { r as registerInstance, h } from './index-d0047af2.js';
var ElementDownloadEditor = /** @class */ (function () {
    function ElementDownloadEditor(hostRef) {
        registerInstance(this, hostRef);
        this.label = {
            name: 'Download',
            placeholderText: 'File description'
        };
    }
    ElementDownloadEditor.prototype.prop = function (path, options) {
        if (options === void 0) { options = {}; }
        return this.handler.prop(path, Object.assign(Object.assign({}, options), { label: this.label }));
    };
    ElementDownloadEditor.prototype.render = function () {
        return [
            h("bce-input", Object.assign({ type: "text" }, this.prop('text', { localize: true }))),
            h("bce-upload", Object.assign({}, this.prop('location'))),
            h("slot", null)
        ];
    };
    return ElementDownloadEditor;
}());
export { ElementDownloadEditor as bce_element_download_editor };
